[LEDE-DEV] [PATCH 4/4] scripts/getver.sh: only consider version override file when no argument is given

Matthias Schiffer mschiffer at universe-factory.net
Sun Jul 9 17:19:51 PDT 2017


Signed-off-by: Matthias Schiffer <mschiffer at universe-factory.net>
---
 scripts/getver.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scripts/getver.sh b/scripts/getver.sh
index f6d18bb3a3..30cf32ed14 100755
--- a/scripts/getver.sh
+++ b/scripts/getver.sh
@@ -10,7 +10,7 @@ get_branch() {
 }
 
 try_version() {
-	[ -f version ] || return 1
+	[ -z "$GET_REV" -a -f version ] || return 1
 	REV="$(cat version)"
 	[ -n "$REV" ]
 }
-- 
2.13.2




More information about the Lede-dev mailing list